<template>
  <div >
    <el-button size="mini" @click="submit" type="primary">撤 回</el-button>
  </div>
</template>

<script>
export default {
  props:['data'],
  name: '',
  data() {
    return {
      checkVisible:false
    };
  },
  computed:{
  },
  watch:{
  },
  created() {
  },
  methods: {
    async submit () {
      this.$confirm('确定撤回当前合同吗？','提示',{
        confirmButtonText:'确定',
        cancelButtonText:'取消'
      }).then(async () => {
        let res = await this.$api.requested({
          "id": 20230130091502,
          "content": {
              "sa_contractid": this.data.sa_contractid
          },
        })
        this.tool.showMessage(res,() => {
          this.$emit('onSuccess')
        })
      })
    },
  },
};
</script>

<style scoped>
.box p {
  line-height: 40px;
  text-align: center;
}
.box p:hover {
  background: #EBF1FE;
  color: #6191F8;
  cursor: pointer;
}
</style>
